Pasting the output of the above ...

nitin@nitin:~/finhealth$ uwsgi -s 127.0.0.1:9090 -M 4 -t 30 -A 4 -p 4
unable to load configuration from 4
nitin@nitin:~/finhealth$

I am on Linux Mint 17 Mate, Kernel is 3.16.1, 64bit

When I run from CLI instead of ini file ...

nitin@nitin:~/finhealth$ uwsgi --http-socket :9090 --wsgi-file test.py
--process 3 -M --thunder-lock --enable-threads
*** Starting uWSGI 2.0.7 (64bit) on [Sun Oct  5 11:51:06 2014] ***
compiled with version: 4.8.2 on 24 September 2014 16:19:12
os: Linux-3.16.1-031601-generic #201408140014 SMP Thu Aug 14 04:15:26 UTC 2014
nodename: nitin
machine: x86_64
clock source: unix
detected number of CPU cores: 4
current working directory: /home/nitin/finhealth
detected binary path: /usr/local/bin/uwsgi
!!! no internal routing support, rebuild with pcre support !!!
your processes number limit is 15092
your memory page size is 4096 bytes
detected max file descriptor number: 1024
lock engine: pthread robust mutexes
thunder lock: enabled
uwsgi socket 0 bound to TCP address :9090 fd 3
Python version: 2.7.6 (default, Mar 22 2014, 23:03:41)  [GCC 4.8.2]
Python main interpreter initialized at 0xdda920
python threads support enabled
your server socket listen backlog is limited to 100 connections
your mercy for graceful operations on workers is 60 seconds
mapped 291040 bytes (284 KB) for 3 cores
*** Operational MODE: preforking ***
WSGI app 0 (mountpoint='') ready in 0 seconds on interpreter 0xdda920
pid: 3317 (default app)
*** uWSGI is running in multiple interpreter mode ***
spawned uWSGI master process (pid: 3317)
spawned uWSGI worker 1 (pid: 3318, cores: 1)
spawned uWSGI worker 2 (pid: 3319, cores: 1)
spawned uWSGI worker 3 (pid: 3320, cores: 1)


When I do Ctrl+C

^CSIGINT/SIGQUIT received...killing workers...
worker 1 buried after 1 seconds
worker 2 buried after 1 seconds
worker 3 buried after 1 seconds
goodbye to uWSGI.
nitin@nitin:~/finhealth$


TWO more issues are :-

1) !!! no internal routing support, rebuild with pcre support !!! -
What does this mean ? Do I Need to install uWSGI again ? Currently it
is installed via 'pip install'

2) After I have modified the code, I am not able to reload the page
with F5 or Ctrl + F5. I have to restart uWSGI services again, to see
the changes. How can this be rectified ?

TIA

Nitin


On 5 October 2014 01:28, Jeff Tchang <[email protected]> wrote:
> What happens when you run uwsgi with all your arguments?
>
> Like:
>
> uwsgi -s 127.0.0.1:9090 -M 4 -t 30 -A 4 -p 4
>
> Same error?
>
> On Sat, Oct 4, 2014 at 12:56 PM, nitin chandra <[email protected]>
> wrote:
>>
>> Hello All,
>>
>> I am getting above subject matter error while trying to start
>>
>> # sudo service uwsgi start
>>
>> I DO NOT have a uwsgi.conf in /etc/init
>> Is it required ? Also, I wont be using any frame works in development.
>>
>> I HAVE a uwsgi executalbe in /etc/init.d
>>
>> # uwsgi --ini Test.ini  -- WORKS
>> --------------------------------------------------------------------------
>> nitin@nitin:~/finhealth$ cat Test.ini
>> [uwsgi]
>> http-socket    = :9090
>> # plugin    = python
>> wsgi-file = /home/nitin/finhealth/test.py
>> process   = 3
>> master = yes
>> thunder-lock = yes
>> enable-threads = yes
>> exit-on-reload = true
>> -------------------------------------------------------------------------
>>
>> Trying to solve this for past Month. PL HELP !!!
>>
>> Pasting my /etc/init.d/uwsgi file below
>> ============================================
>> #!/bin/sh
>>
>> ### BEGIN INIT INFO
>> # Provides:          uwsgi
>> # Required-Start:    $all
>> # Required-Stop:     $all
>> # Default-Start:     2 3 4 5
>> # Default-Stop:      0 1 6
>> # Short-Description: starts the uwsgi app server
>> # Description:       starts uwsgi app server using start-stop-daemon
>> ### END INIT INFO
>>
>> PATH=/opt/uwsgi:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
>> DAEMON=/usr/local/bin/uwsgi
>>
>> OWNER=uwsgi
>>
>> NAME=uwsgi
>> DESC=uwsgi
>>
>> test -x $DAEMON || exit 0
>>
>> # Include uwsgi defaults if available
>> if [ -f /etc/default/uwsgi ] ; then
>>         . /etc/default/uwsgi
>> fi
>>
>> set -e
>>
>> DAEMON_OPTS="-s 127.0.0.1:9090 -M 4 -t 30 -A 4 -p 4 -d
>> /var/log/uwsgi.log --pythonpath $PYTHONPATH --module $MODULE"
>>
>> case "$1" in
>>   start)
>>         echo -n "Starting $DESC: "
>>         start-stop-daemon --start --chuid $OWNER:$OWNER --user $OWNER \
>>                 --exec $DAEMON -- $DAEMON_OPTS
>>         echo "$NAME."
>>         ;;
>>   stop)
>>         echo -n "Stopping $DESC: "
>>         start-stop-daemon --signal 3 --user $OWNER --quiet --retry 2
>> --stop \
>>                 --exec $DAEMON
>>         echo "$NAME."
>>         ;;
>>   reload)
>>         killall -1 $DAEMON
>>         ;;
>>   force-reload)
>>         killall -15 $DAEMON
>>        ;;
>>   restart)
>>         echo -n "Restarting $DESC: "
>>         start-stop-daemon --signal 3 --user $OWNER --quiet --retry 2
>> --stop \
>>                 --exec $DAEMON
>>         sleep 1
>>         start-stop-daemon --user $OWNER --start --quiet --chuid
>> $OWNER:$OWNER \
>>                --exec $DAEMON -- $DAEMON_OPTS
>>         echo "$NAME."
>>         ;;
>>   status)
>>         killall -10 $DAEMON
>>         ;;
>>       *)
>>             N=/etc/init.d/$NAME
>>             echo "Usage: $N
>> {start|stop|restart|reload|force-reload|status}" >&2
>>             exit 1
>>             ;;
>>     esac
>>     exit 0
>>
>> ====================================================
>> _______________________________________________
>> uWSGI mailing list
>> [email protected]
>> http://lists.unbit.it/cgi-bin/mailman/listinfo/uwsgi
>
>
>
> _______________________________________________
> uWSGI mailing list
> [email protected]
> http://lists.unbit.it/cgi-bin/mailman/listinfo/uwsgi
>
_______________________________________________
uWSGI mailing list
[email protected]
http://lists.unbit.it/cgi-bin/mailman/listinfo/uwsgi

Reply via email to